NClient

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## network
Class NClient

    java.lang.Object
      network.NClient

All Implemented Interfaces:
  TimerListener

public class NClient
extends java.lang.Object
implements TimerListener

Network Client Klasse Basisklasse, über die die Client/Server Kommunikation für Kommandos und Nachrichten abgewickelt wird. Zuständig für Senden u. Empfangen der Daten ,Queuemanagement

Constructor Summary
`NClient(Queue cQueue, Queue mQueue, ConnectionNotifier netH)` Konstruktor zum initialisieren der Queues

Method Summary
`void` | `checkConnection()` Versucht durch senden eines sinnlosen Paketes herauszufinden, ob die Verbindung noch aufgebaut ist
`boolean` | `connect(java.lang.String pAddress)` Verbindet den Client mit dem Server
`boolean` | `disconnect()` schließt die Verbindung zum Server
`boolean` | `isConnected()` Liefert zurück, ob man gerade verbunden ist
`void` | `readData()` Liest (wenn möglich) die Daten aus dem Netzwerk ein.
`void` | `sendData(NetPack nPack)` Sendet die Daten an den Server
`void` | `timerAction(Timer t)` Timer Funktion, die in bestimmten Zeitintervall aufgerufen wird u. die Client/Server Kommunikation abwickelt

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NClient

    public NClient(Queue cQueue,
                   Queue mQueue,
                   ConnectionNotifier netH)

  Konstruktor zum initialisieren der Queues

Parameters:
  `cQueue` - Commandqueue
  `mQueue` - Messagequeue
  `netH` - NetworkHandler Objekt zur Statusmeldung

Method Detail

### connect

    public boolean connect(java.lang.String pAddress)

  Verbindet den Client mit dem Server

  Parameters:
    `pAddress` - Adresse des Servers
  Returns:
    true wenn die Verbindung erfolgreich hergestellt wurde

### disconnect

    public boolean disconnect()

  schließt die Verbindung zum Server

  Returns:
    true wenn die Verbindung erfolgreich beendet wurde

### isConnected

    public boolean isConnected()

  Liefert zurück, ob man gerade verbunden ist

  Returns:
    true wenn verbunden, sonst false

### checkConnection

    public void checkConnection()

  Versucht durch senden eines sinnlosen Paketes herauszufinden, ob die Verbindung noch aufgebaut ist

### sendData

    public void sendData(NetPack nPack)

  Sendet die Daten an den Server

  Parameters:
    `nPack` - beinhaltet das Byte-Array das gesendet wird

### readData

    public void readData()

  Liest (wenn möglich) die Daten aus dem Netzwerk ein. Die Aufforderung kommt von der Timer-Funktion

### timerAction

    public void timerAction(Timer t)

  Timer Funktion, die in bestimmten Zeitintervall aufgerufen wird u. die Client/Server Kommunikation abwickelt

  Specified by:
    `timerAction` in interface `TimerListener`
  Parameters:
    `t` - Timerobjekt von dem die Methode aufgerufen wird

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD